Subject: Re: [PATCH 2/2] Smart-http: check if repository is OK to export before serving it

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 28 Dec 2009 07:59:31 -0800

Tarmigan <[email-masked]> wrote:
> On Sun, Dec 27, 2009 at 4:10 PM, Shawn O. Pearce <[email-masked]> wrote:
> > Tarmigan Casebolt <[email-masked]> wrote:
> >> Similar to how git-daemon checks whether a repository is OK to be
> >> exported, smart-http should also check. ?This check can be satisfied
> >> in two different ways: the environmental variable GIT_HTTP_EXPORT_ALL
> >> may be set to export all repositories, or the individual repository
> >> may have the file git-daemon-export-ok.
...
> I've been thinking that the not_found() to a forbidden() instead.

Oh.  Interesting question.

Because you can't resolve the access error by authenticating to
the server, we may actually want to just return not_found() here
with a message in the log of "Repository not exported: '%s'".

That would mirror the behavior of git-daemon.

-- 
Shawn.